summaryrefslogtreecommitdiffstats
path: root/deps/PyQt5
diff options
context:
space:
mode:
Diffstat (limited to 'deps/PyQt5')
-rw-r--r--deps/PyQt5/.url2
-rwxr-xr-xdeps/PyQt5/PyQt5.SlackBuild6
-rw-r--r--deps/PyQt5/patches/pyqt5-python2-crash.patch13
3 files changed, 19 insertions, 2 deletions
diff --git a/deps/PyQt5/.url b/deps/PyQt5/.url
index 6fd7b38..8a44a65 100644
--- a/deps/PyQt5/.url
+++ b/deps/PyQt5/.url
@@ -1,2 +1,2 @@
-https://www.riverbankcomputing.com/static/Downloads/PyQt5/5.12.1/PyQt5_gpl-5.12.1.tar.gz
+https://www.riverbankcomputing.com/static/Downloads/PyQt5/5.12.3/PyQt5_gpl-5.12.3.tar.gz
diff --git a/deps/PyQt5/PyQt5.SlackBuild b/deps/PyQt5/PyQt5.SlackBuild
index 066e1b8..df9e97b 100755
--- a/deps/PyQt5/PyQt5.SlackBuild
+++ b/deps/PyQt5/PyQt5.SlackBuild
@@ -27,7 +27,7 @@
# Modified by Eric Hameleers <alien@slackware.com>
PKGNAM=PyQt5
-VERSION=${VERSION:-5.12.1}
+VERSION=${VERSION:-5.12.3}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j$(nproc) "}
@@ -71,6 +71,10 @@ rm -rf ${PKGNAM}_gpl-$VERSION
tar xvf $CWD/${PKGNAM}_gpl-$VERSION.tar.?z* || exit 1
cd ${PKGNAM}_gpl-$VERSION || exit 1
+# Remove code that is unneeded if Qt is not bundled and crashes on python2
+# https://www.riverbankcomputing.com/pipermail/pyqt/2019-July/041896.html
+cat $CWD/patches/pyqt5-python2-crash.patch | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/deps/PyQt5/patches/pyqt5-python2-crash.patch b/deps/PyQt5/patches/pyqt5-python2-crash.patch
new file mode 100644
index 0000000..14462f7
--- /dev/null
+++ b/deps/PyQt5/patches/pyqt5-python2-crash.patch
@@ -0,0 +1,13 @@
+diff -ur PyQt5_gpl-5.12.3/qpy/QtCore/qpycore_post_init.cpp.in PyQt5_gpl-5.12.3b/qpy/QtCore/qpycore_post_init.cpp.in
+--- PyQt5_gpl-5.12.3/qpy/QtCore/qpycore_post_init.cpp.in 2019-06-25 14:41:02.000000000 +0200
++++ PyQt5_gpl-5.12.3b/qpy/QtCore/qpycore_post_init.cpp.in 2019-07-01 17:06:34.882644535 +0200
+@@ -151,8 +151,4 @@
+ // initialised first (at least for Windows) and this is the only way to
+ // guarantee things are done in the right order.
+ PyQtSlotProxy::mutex = new QMutex(QMutex::Recursive);
+-
+- // Load the embedded qt.conf file if there is a bundled copy of Qt.
+- if (!qpycore_qt_conf())
+- Py_FatalError("PyQt5.QtCore: Unable to embed qt.conf");
+ }
+